package com.edgec.browserbackend.browser.repository;

import com.edgec.browserbackend.browser.domain.IpResource;
import org.springframework.data.domain.Page;
import org.springframework.data.mongodb.repository.MongoRepository;

import java.util.List;

public interface IpResourceRepository extends MongoRepository<IpResource, String> {
    IpResource findByAddrAndIsDeleted(String addr, boolean isDeleted);
    List<IpResource> findByOwnerAndShopIdIsNull(String owner);
    List<IpResource> findByIdIn(List<String> ipIds);
    List<IpResource> findByAddrLikeAndIdIn(String addr, List<String> ipIds);
    List<IpResource> findByVendorLikeAndIdIn(String vendor, List<String> ipIds);
    List<IpResource> findByRegionLikeAndIdIn(String region, List<String> ipIds);
}
